$!-----------------------------------------------------------------------------
$! INSTALL.COM
$! Simple procedure to copy files according to environment.
$!
$! 18-AUG-2002  MGD  remove (having removed need for) DCL wrapper procedures
$! 14-JAN-2001  MGD  add QDLOGSTATS, change destination for CSWS (Apache)
$! 20-APR-2000  MGD  add Apache
$! 01-AUG-1998  MGD  initial (for OSU)
$!-----------------------------------------------------------------------------
$ ARCH_NAME = F$GETSYI("ARCH_NAME")
$ IF ARCH_NAME .NES. "VAX" THEN ARCH_NAME = "AXP"
$ IF P1 .NES. "OSU" .AND. P1 .NES. "APACHE" .AND. P1 .NES. "OTHER" -
     THEN GOTO WHICH
$ IF F$SEARCH("WWW_ROOT:[BIN]CALENDAR.COM") .NES. "" THEN GOTO WRAPPER
$ IF F$SEARCH("WWW_ROOT:[BIN]CALENDAR_''ARCH_NAME'.EXE") .NES. "" -
     THEN GOTO WRAPPER
$ IF F$SEARCH("APACHE$COMMON:[CGI-BIN]CALENDAR.COM") .NES. "" THEN GOTO WRAPPER
$ IF F$SEARCH("APACHE$COMMON:[CGI-BIN]CALENDAR_''ARCH_NAME'.EXE") .NES. "" -
     THEN GOTO WRAPPER
$ IF P1 .EQS. "OTHER"
$ THEN
$    IF F$SEARCH("''P2'CALENDAR.COM") .NES. "" THEN GOTO WRAPPER
$    IF F$SEARCH("''P2'CALENDAR_''ARCH_NAME'.EXE") .NES. "" -
        THEN GOTO WRAPPER
$ ENDIF
$ GOTO CONTINUE
$ WRAPPER:
$ TYPE SYS$INPUT

This release of WASD scripts no longer requires the "wrapper" procedures.
As this appears to be an update of previously installed WASD scripts then
before copying the new executables to the script directory it checks for any
associated DCL procedures or previous executables and confirms before deleting
those found.  If you have modified these procedures for any reason (e.g. to
customize script page layout) you can decline to delete the procedure but MUST
modify it manually to remove the reference to executable architecture, i.e.

  $ calendar = "$''exeDir'calendar_''archName'"

must be changed to

  $ calendar = "$''exeDir'calendar"

$ RESPONSE = ""
$ READ SYS$COMMAND RESPONSE /PROMPT="[continue]: "
$ CONTINUE:
$ IF P1 .EQS. "OSU" THEN GOTO OSU
$ IF P1 .EQS. "APACHE" THEN GOTO APACHE
$ IF P1 .EQS. "OTHER" THEN GOTO OTHER
$ WHICH:
$ WRITE SYS$OUTPUT "USAGE: @INSTALL OSU|APACHE|OTHER"
$ EXIT
$!-----------------------------------------------------------------------------
$ OSU:
$ IF F$SEARCH("WWW_ROOT:[BIN]CALENDAR.COM") .NES. "" -
     THEN DELETE /CONFIRM WWW_ROOT:[BIN]CALENDAR.COM;*
$ IF F$SEARCH("WWW_ROOT:[BIN]CALENDAR_''ARCH_NAME'.EXE") .NES. "" -
     THEN DELETE /CONFIRM WWW_ROOT:[BIN]CALENDAR_'ARCH_NAME'.EXE;*
$ IF F$SEARCH("WWW_ROOT:[BIN]CONAN.COM") .NES. "" -
     THEN DELETE /CONFIRM WWW_ROOT:[BIN]CONAN.COM;*
$ IF F$SEARCH("WWW_ROOT:[BIN]CONAN_''ARCH_NAME'.EXE") .NES. "" -
     THEN DELETE /CONFIRM WWW_ROOT:[BIN]CONAN_'ARCH_NAME'.EXE;*
$ IF F$SEARCH("WWW_ROOT:[BIN]HYPERREADER.COM") .NES. "" -
     THEN DELETE /CONFIRM WWW_ROOT:[BIN]HYPERREADER.COM;*
$ IF F$SEARCH("WWW_ROOT:[BIN]HYPERREADER_''ARCH_NAME'.EXE") .NES. "" -
     THEN DELETE /CONFIRM WWW_ROOT:[BIN]HYPERREADER_'ARCH_NAME'.EXE;*
$ IF F$SEARCH("WWW_ROOT:[BIN]HYPERSHELF.COM") .NES. "" -
     THEN DELETE /CONFIRM WWW_ROOT:[BIN]HYPERSHELF.COM;*
$ IF F$SEARCH("WWW_ROOT:[BIN]HYPERSHELF_''ARCH_NAME'.EXE") .NES. "" -
     THEN DELETE /CONFIRM WWW_ROOT:[BIN]HYPERSHELF_'ARCH_NAME'.EXE;*
$ IF F$SEARCH("WWW_ROOT:[BIN]HYPERSPI.COM") .NES. "" -
     THEN DELETE /CONFIRM WWW_ROOT:[BIN]HYPERSPI.COM;*
$ IF F$SEARCH("WWW_ROOT:[BIN]HYPERSPI_''ARCH_NAME'.EXE") .NES. "" -
     THEN DELETE /CONFIRM WWW_ROOT:[BIN]HYPERSPI_'ARCH_NAME'.EXE;*
$ IF F$SEARCH("WWW_ROOT:[BIN]QDLOGSTATS.COM") .NES. "" -
     THEN DELETE /CONFIRM WWW_ROOT:[BIN]QDLOGSTATS.COM;*
$ IF F$SEARCH("WWW_ROOT:[BIN]QDLOGSTATS_''ARCH_NAME'.EXE") .NES. "" -
     THEN DELETE /CONFIRM WWW_ROOT:[BIN]QDLOGSTATS_'ARCH_NAME'.EXE;*
$ IF F$SEARCH("WWW_ROOT:[BIN]QUERY.COM") .NES. "" -
     THEN DELETE /CONFIRM WWW_ROOT:[BIN]QUERY.COM;*
$ IF F$SEARCH("WWW_ROOT:[BIN]QUERY_''ARCH_NAME'.EXE") .NES. "" -
     THEN DELETE /CONFIRM WWW_ROOT:[BIN]QUERY_'ARCH_NAME'.EXE;*
$ IF F$SEARCH("WWW_ROOT:[BIN]EXTRACT.COM") .NES. "" -
     THEN DELETE /CONFIRM WWW_ROOT:[BIN]EXTRACT.COM;*
$ IF F$SEARCH("WWW_ROOT:[BIN]EXTRACT_''ARCH_NAME'.EXE") .NES. "" -
     THEN DELETE /CONFIRM WWW_ROOT:[BIN]EXTRACT_'ARCH_NAME'.EXE;*
$ COPY /LOG /PROT=W:RE CALENDAR_'ARCH_NAME'.EXE WWW_ROOT:[BIN]CALENDAR.EXE
$ COPY /LOG /PROT=W:RE CONAN_'ARCH_NAME'.EXE WWW_ROOT:[BIN]CONAN.EXE
$ COPY /LOG /PROT=W:RE HYPERREADER_'ARCH_NAME'.EXE WWW_ROOT:[BIN]HYPERREADER.EXE
$ COPY /LOG /PROT=W:RE HYPERSHELF_'ARCH_NAME'.EXE WWW_ROOT:[BIN]HYPERSHELF.EXE
$ COPY /LOG /PROT=W:RE HYPERSPI_'ARCH_NAME'.EXE WWW_ROOT:[BIN]HYPERSPI.EXE
$ COPY /LOG /PROT=W:RE QDLOGSTATS_'ARCH_NAME'.EXE WWW_ROOT:[BIN]QDLOGSTATS.EXE
$ COPY /LOG /PROT=W:RE QUERY_'ARCH_NAME'.EXE WWW_ROOT:[BIN]QUERY.EXE
$ COPY /LOG /PROT=W:RE EXTRACT_'ARCH_NAME'.EXE WWW_ROOT:[BIN]EXTRACT.EXE
$ EXIT
$!-----------------------------------------------------------------------------
$ APACHE:
$ IF F$SEARCH("APACHE$COMMON:[CGI-BIN]CALENDAR.COM") .NES. "" -
     THEN DELETE /CONFIRM APACHE$COMMON:[CGI-BIN]CALENDAR.COM;*
$ IF F$SEARCH("APACHE$COMMON:[CGI-BIN]CALENDAR_''ARCH_NAME'.EXE") .NES. "" -
     THEN DELETE /CONFIRM APACHE$COMMON:[CGI-BIN]CALENDAR_'ARCH_NAME'.EXE;*
$ IF F$SEARCH("APACHE$COMMON:[CGI-BIN]CONAN.COM") .NES. "" -
     THEN DELETE /CONFIRM APACHE$COMMON:[CGI-BIN]CONAN.COM;*
$ IF F$SEARCH("APACHE$COMMON:[CGI-BIN]CONAN_''ARCH_NAME'.EXE") .NES. "" -
     THEN DELETE /CONFIRM APACHE$COMMON:[CGI-BIN]CONAN_'ARCH_NAME'.EXE;*
$ IF F$SEARCH("APACHE$COMMON:[CGI-BIN]HYPERREACOM") .NES. "" -
     THEN DELETE /CONFIRM APACHE$COMMON:[CGI-BIN]HYPERREACOM;*
$ IF F$SEARCH("APACHE$COMMON:[CGI-BIN]HYPERREACOM") .NES. "" -
     THEN DELETE /CONFIRM APACHE$COMMON:[CGI-BIN]HYPERREACOM;*
$ IF F$SEARCH("APACHE$COMMON:[CGI-BIN]HYPERSHELCOM") .NES. "" -
     THEN DELETE /CONFIRM APACHE$COMMON:[CGI-BIN]HYPERSHELCOM;*
$ IF F$SEARCH("APACHE$COMMON:[CGI-BIN]HYPERSPI_''ARCH_NAME'.EXE") .NES. "" -
     THEN DELETE /CONFIRM APACHE$COMMON:[CGI-BIN]HYPERSPI_'ARCH_NAME'.EXE;*
$ IF F$SEARCH("APACHE$COMMON:[CGI-BIN]QDLOGSTATCOM") .NES. "" -
     THEN DELETE /CONFIRM APACHE$COMMON:[CGI-BIN]QDLOGSTATCOM;*
$ IF F$SEARCH("APACHE$COMMON:[CGI-BIN]QDLOGSTATCOM") .NES. "" -
     THEN DELETE /CONFIRM APACHE$COMMON:[CGI-BIN]QDLOGSTATCOM;*
$ IF F$SEARCH("APACHE$COMMON:[CGI-BIN]QUERY_''ARCH_NAME'.EXE") .NES. "" -
     THEN DELETE /CONFIRM APACHE$COMMON:[CGI-BIN]QUERY_'ARCH_NAME'.EXE;*
$ IF F$SEARCH("APACHE$COMMON:[CGI-BIN]EXTRACT.COM") .NES. "" -
     THEN DELETE /CONFIRM APACHE$COMMON:[CGI-BIN]EXTRACT.COM;*
$ IF F$SEARCH("APACHE$COMMON:[CGI-BIN]EXTRACT_''ARCH_NAME'.EXE") .NES. "" -
     THEN DELETE /CONFIRM APACHE$COMMON:[CGI-BIN]EXTRACT_'ARCH_NAME'.EXE;*
$ COPY /LOG /PROT=W:RE CALENDAR_'ARCH_NAME'.EXE APACHE$COMMON:[CGI-BIN]CALENDAR.EXE
$ COPY /LOG /PROT=W:RE CONAN_'ARCH_NAME'.EXE APACHE$COMMON:[CGI-BIN]CONAN.EXE
$ COPY /LOG /PROT=W:RE HYPERREADER_'ARCH_NAME'.EXE APACHE$COMMON:[CGI-BIN]HYPERREADER.EXE
$ COPY /LOG /PROT=W:RE HYPERSHELF_'ARCH_NAME'.EXE APACHE$COMMON:[CGI-BIN]HYPERSHELF.EXE
$ COPY /LOG /PROT=W:RE HYPERSPI_'ARCH_NAME'.EXE APACHE$COMMON:[CGI-BIN]HYPERSPI.EXE
$ COPY /LOG /PROT=W:RE QDLOGSTATS_'ARCH_NAME'.EXE APACHE$COMMON:[CGI-BIN]QDLOGSTATS.EXE
$ COPY /LOG /PROT=W:RE QUERY_'ARCH_NAME'.EXE APACHE$COMMON:[CGI-BIN]QUERY.EXE
$ COPY /LOG /PROT=W:RE EXTRACT_'ARCH_NAME'.EXE APACHE$COMMON:[CGI-BIN]EXTRACT.EXE
$ EXIT
$!-----------------------------------------------------------------------------
$ OTHER:
$ IF P2 .NES. "" THEN GOTO OTHER_DOIT
$ WRITE SYS$OUTPUT "USAGE: @INSTALL OTHER [cgi-bin-dir]"
$ EXIT
$ OTHER_DOIT:
$ IF F$SEARCH("''P2'CALENDAR.COM") .NES. "" -
     THEN DELETE /CONFIRM 'P2'CALENDAR.COM;*
$ IF F$SEARCH("''P2'CALENDAR_''ARCH_NAME'.EXE") .NES. "" -
     THEN DELETE /CONFIRM 'P2'CALENDAR_'ARCH_NAME'.EXE;*
$ IF F$SEARCH("''P2'CONAN.COM") .NES. "" -
     THEN DELETE /CONFIRM 'P2'CONAN.COM;*
$ IF F$SEARCH("''P2'CONAN_''ARCH_NAME'.EXE") .NES. "" -
     THEN DELETE /CONFIRM 'P2'CONAN_'ARCH_NAME'.EXE;*
$ IF F$SEARCH("''P2'HYPERREADER.COM") .NES. "" -
     THEN DELETE /CONFIRM 'P2'HYPERREADER.COM;*
$ IF F$SEARCH("''P2'HYPERREADER_''ARCH_NAME'.EXE") .NES. "" -
     THEN DELETE /CONFIRM 'P2'HYPERREADER_'ARCH_NAME'.EXE;*
$ IF F$SEARCH("''P2'HYPERSHELF.COM") .NES. "" -
     THEN DELETE /CONFIRM 'P2'HYPERSHELF.COM;*
$ IF F$SEARCH("''P2'HYPERSHELF_''ARCH_NAME'.EXE") .NES. "" -
     THEN DELETE /CONFIRM 'P2'HYPERSHELF_'ARCH_NAME'.EXE;*
$ IF F$SEARCH("''P2'HYPERSPI.COM") .NES. "" -
     THEN DELETE /CONFIRM 'P2'HYPERSPI.COM;*
$ IF F$SEARCH("''P2'HYPERSPI_''ARCH_NAME'.EXE") .NES. "" -
     THEN DELETE /CONFIRM 'P2'HYPERSPI_'ARCH_NAME'.EXE;*
$ IF F$SEARCH("''P2'QDLOGSTATS.COM") .NES. "" -
     THEN DELETE /CONFIRM 'P2'QDLOGSTATS.COM;*
$ IF F$SEARCH("''P2'QDLOGSTATS_''ARCH_NAME'.EXE") .NES. "" -
     THEN DELETE /CONFIRM 'P2'QDLOGSTATS_'ARCH_NAME'.EXE;*
$ IF F$SEARCH("''P2'QUERY.COM") .NES. "" -
     THEN DELETE /CONFIRM 'P2'QUERY.COM;*
$ IF F$SEARCH("''P2'QUERY_''ARCH_NAME'.EXE") .NES. "" -
     THEN DELETE /CONFIRM 'P2'QUERY_'ARCH_NAME'.EXE;*
$ IF F$SEARCH("''P2'EXTRACT.COM") .NES. "" -
     THEN DELETE /CONFIRM 'P2'EXTRACT.COM;*
$ IF F$SEARCH("''P2'EXTRACT_''ARCH_NAME'.EXE") .NES. "" -
     THEN DELETE /CONFIRM 'P2'EXTRACT_'ARCH_NAME'.EXE;*
$ COPY /LOG /PROT=W:RE CALENDAR_'ARCH_NAME'.EXE 'P2'CALENDAR.EXE
$ COPY /LOG /PROT=W:RE CONAN_'ARCH_NAME'.EXE 'P2'CONAN.EXE
$ COPY /LOG /PROT=W:RE HYPERREADER_'ARCH_NAME'.EXE 'P2'HYPERREADER.EXE
$ COPY /LOG /PROT=W:RE HYPERSHELF_'ARCH_NAME'.EXE 'P2'HYPERSHELF.EXE
$ COPY /LOG /PROT=W:RE HYPERSPI_'ARCH_NAME'.EXE 'P2'HYPERSPI.EXE
$ COPY /LOG /PROT=W:RE QDLOGSTATS_'ARCH_NAME'.EXE 'P2'QDLOGSTATS.EXE
$ COPY /LOG /PROT=W:RE QUERY_'ARCH_NAME'.EXE 'P2'QUERY.EXE
$ COPY /LOG /PROT=W:RE EXTRACT_'ARCH_NAME'.EXE 'P2'EXTRACT.EXE
$ EXIT
$!-----------------------------------------------------------------------------
